attribute vec4 a_position;
attribute highp vec2 a_texCoord;
attribute vec4 a_color;
attribute vec3 a_glow;

varying lowp vec4 v_tint;
varying lowp vec3 v_glow;
varying highp vec2 v_texCoord;
varying mediump vec2 v_position1;
varying mediump vec2 v_position2;

void main()
{
    gl_Position = CC_MVPMatrix * a_position;
    v_tint = a_color;
    v_glow = a_glow;
    v_texCoord = a_texCoord;
    v_position1 = a_position.xy / 256.0;
    v_position2 = vec2(v_position1.x * 0.45, v_position1.y);
}