attribute vec4 a_position;
attribute highp vec2 a_texCoord;
attribute vec3 a_movement;
attribute float a_texUnit;

varying highp vec2 v_texMask;
varying mediump vec2 v_texWater1;
varying mediump vec2 v_texWater2;

void main()
{
    gl_Position = CC_MVPMatrix * a_position;
    v_texMask = a_texCoord;
    v_texWater1 = a_position.xy / 256.0;
    v_texWater2 = vec2(v_texWater1.x * 0.45, v_texWater1.y);
}